## org.apache.mahout.clustering.spectral.common
Class VertexWritable

    java.lang.Object
      org.apache.mahout.clustering.spectral.common.VertexWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class VertexWritable

extends java.lang.Object
implements org.apache.hadoop.io.Writable

Represents a vertex within the affinity graph for Eigencuts.

Constructor Summary
`VertexWritable()`
`VertexWritable(int i, int j, double v, java.lang.String t)`

Method Summary
`int` `getCol()`
`int` `getRow()`
`java.lang.String` `getType()`
`double` `getValue()`
`void` `readFields(java.io.DataInput arg0)`
`void` `setCol(int j)`
`void` `setRow(int i)`
`void` `setType(java.lang.String t)`
`void` `setValue(double v)`
`void` `write(java.io.DataOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VertexWritable

    public VertexWritable()

### VertexWritable

    public VertexWritable(int i,
                          int j,
                          double v,
                          java.lang.String t)

Method Detail

### getRow

    public int getRow()

### setRow

    public void setRow(int i)

### getCol

    public int getCol()

### setCol

    public void setCol(int j)

### getValue

    public double getValue()

### setValue

    public void setValue(double v)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String t)

### readFields

    public void readFields(java.io.DataInput arg0)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput arg0)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.